apache-commons-beanutils-1.9.3-2.3.noarch.rpm


Advertisement

Description

apache-commons-beanutils - Utility methods for accessing and modifying the properties of JavaBeans

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename apache-commons-beanutils-1.9.3-2.3.noarch.rpm
Package name apache-commons-beanutils
Package version 1.9.3
Package release 2.3
Package architecture noarch
Package type rpm
Category Development/Libraries/Java
Homepage http://commons.apache.org/beanutils
License Apache-2.0
Maintainer -
Download size 235.31 KB
Installed size 273.21 KB
The scope of this package is to create a package of Java utility
methods for accessing and modifying the properties of arbitrary
JavaBeans.  No dependencies outside of the JDK are required, so the use
of this package is very lightweight.

Alternatives

Package Version Architecture Repository
apache-commons-beanutils-1.9.3-30.52.noarch.rpm 1.9.3 noarch JAVA
apache-commons-beanutils - - -

Requires

Name Value
commons-collections >= 2.0
commons-logging >= 1.0
java-headless -
javapackages-filesystem -

Provides

Name Value
apache-commons-beanutils = 1.9.3-2.3
commons-beanutils = 1.9.3-2.3
jakarta-commons-beanutils = 1.9.3-2.3
mvn(commons-beanutils:commons-beanutils) = 1.9.3
mvn(commons-beanutils:commons-beanutils:pom:) = 1.9.3
mvn(org.apache.commons:commons-beanutils) = 1.9.3
mvn(org.apache.commons:commons-beanutils:pom:) = 1.9.3

Obsoletes

Name Value
commons-beanutils < 1.9.3-2.3
jakarta-commons-beanutils < 1.9.3-2.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package apache-commons-beanutils-1.9.3-2.3.noarch.rpm
Source Package apache-commons-beanutils-1.9.3-2.3.src.rpm

Install Howto

Install apache-commons-beanutils rpm package:

# zypper install apache-commons-beanutils

Files

Path
/usr/share/doc/packages/apache-commons-beanutils/NOTICE.txt
/usr/share/doc/packages/apache-commons-beanutils/RELEASE-NOTES.txt
/usr/share/java/apache-commons-beanutils-1.9.3.jar
/usr/share/java/apache-commons-beanutils.jar
/usr/share/java/commons-beanutils-1.9.3.jar
/usr/share/java/commons-beanutils.jar
/usr/share/licenses/apache-commons-beanutils/LICENSE.txt
/usr/share/maven-metadata/apache-commons-beanutils.xml
/usr/share/maven-poms/apache-commons-beanutils-1.9.3.pom

Changelog

2018-10-23 - Fridrich Strba <fstrba@suse.com>
- Cleanup the maven pom files installation
2018-09-21 - Tomá? Chvátal <tchvatal@suse.com>
- Fix the Source URLs to use mirrors properly
2018-09-20 - pmonrealgonzalez@suse.com
- Updated to 1.9.3
* This is a bug fix release, which also improves the tests for
building on Java 8.
* Note that Java 8 and later no longer support indexed bean
properties on java.util.List, only on arrays like String[].
(BEANUTILS-492). This affects PropertyUtils.getPropertyType()
and PropertyUtils.getPropertyDescriptor(); their javadoc have
therefore been updated to reflect this change in the JDK.
* Changes in this version include:
- Fixed Bugs:
* BEANUTILS-477: Changed log level in FluentPropertyBeanIntrospector
* BEANUTILS-492: Fixed exception when setting indexed properties
on DynaBeans.
* BEANUTILS-470: Precision lost when converting BigDecimal.
* BEANUTILS-465: Indexed List Setters fixed.
- Changes:
* BEANUTILS-433: Update dependency from JUnit 3.8.1 to 4.12.
* BEANUTILS-469: Update commons-logging from 1.1.1 to 1.2.
* BEANUTILS-474: FluentPropertyBeanIntrospector does not use the
same naming algorithm as DefaultBeanIntrospector.
* BEANUTILS-490: Update Java requirement from Java 5 to 6.
* BEANUTILS-482: Update commons-collections from 3.2.1 to 3.2.2
(CVE-2015-4852).
* BEANUTILS-490: Update java requirement to Java 6.
* BEANUTILS-492: IndexedPropertyDescriptor tests now pass on Java 8.
* BEANUTILS-495: DateConverterTestBase fails on M/d/yy in Java 9.
* BEANUTILS-496: testGetDescriptorInvalidBoolean fails on Java 9.
- Historical list of changes:
http://commons.apache.org/proper/commons-beanutils/changes-report.html
- Refreshed patch jdk9.patch for this version update
2018-05-15 - fstrba@suse.com
- Modified patch:
* jdk9.patch
+ Build with source and target 8 to prepare for a possible
removal of 1.6 compatibility
- Run fdupes on documentation
2017-09-14 - fstrba@suse.com
- Added patch:
* jdk9.patch
- Specify java source and target level 1.6 in order to allow
building with jdk9
2014-12-04 - p.drouand@gmail.com
- Remove java-devel dependency; not needed anymore
2014-07-08 - tchvatal@suse.com
- Cleanup bit with spec-cleaner
2014-07-07 - dmacvicar@suse.de
- update to 1.9.2
- CVE-2014-3540:
'class' property is exposed, potentially leading to RCE (bnc#885963)
- for full changelog, see
* http://commons.apache.org/proper/commons-beanutils/javadocs/v1.9.0/RELEASE-NOTES.txt
* http://commons.apache.org/proper/commons-beanutils/javadocs/v1.9.1/RELEASE-NOTES.txt
* http://commons.apache.org/proper/commons-beanutils/javadocs/v1.9.2/RELEASE-NOTES.txt
2012-04-02 - mvyskocil@suse.cz
- update to 1.8.3 and rename to apache- to follow the upstream
- fixes in this release
* memory leak in jdk5/jdk6 BEANUTILS-291, BEANUTILS-366
* BEANUTILS-373 MethodUtils is not thread safe because WeakFastHashMap which
uses WeakHashMap is not thread-safe
* [BEANUTILS-371] Add constructors which have useColumnLabel parameter to
ResultSetDynaClass and RowSetDynaClass
* and a lot of other like NPE in BeanUtilsBean.setProperty()
2006-09-25 - skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5

See Also

Package Description
apache-commons-beanutils-javadoc-1.9.3-2.3.noarch.rpm Javadoc for jakarta-commons-beanutils
apache-commons-chain-1.2-1.1.noarch.rpm An implementation of the GoF Chain of Responsibility pattern
apache-commons-chain-javadoc-1.2-1.1.noarch.rpm Javadoc for apache-commons-chain
apache-commons-cli-1.4-3.1.noarch.rpm Command Line Interface Library for Java
apache-commons-cli-javadoc-1.4-3.1.noarch.rpm Javadoc for apache-commons-cli
apache-commons-codec-1.11-2.1.noarch.rpm Apache Commons Codec Package
apache-commons-codec-javadoc-1.11-2.1.noarch.rpm Javadoc for apache-commons-codec
apache-commons-collections-3.2.2-6.1.noarch.rpm Commons Collections Package
apache-commons-collections-javadoc-3.2.2-6.1.noarch.rpm Javadoc for apache-commons-collections
apache-commons-collections-testframework-3.2.2-6.1.noarch.rpm Test framework for apache-commons-collections
apache-commons-collections4-4.1-1.1.noarch.rpm Extension of the Java Collections Framework
apache-commons-collections4-javadoc-4.1-1.1.noarch.rpm API documentation for apache-commons-collections4
apache-commons-compress-1.18-2.1.noarch.rpm Java API for working with compressed files and archivers
apache-commons-compress-javadoc-1.18-2.1.noarch.rpm API documentation for apache-commons-compress
apache-commons-configuration-1.10-2.1.noarch.rpm Commons Configuration Package
Advertisement
Advertisement